2016-09-29 04:32 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000636OpenFOAM[All Projects] Bugpublic2012-08-30 10:40
Reportercharlotte 
Assigned Touser4 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionno change required 
PlatformLinuxOSOpenSuseOS Version11.3
Product Version 
Target VersionFixed in Version 
Summary0000636: Bad faces in blockMesh for an axisymmetric mesh
DescriptionblockMesh generates bad faces causing checkMesh, decomposePar, and solver to fail.
Steps To ReproduceAttached are two meshes: one works fine, the other one does not. Mesh can be checked with paraFoam, and the bad faces are always near the axis of symmetry.
Additional InformationI'm able to generate the mesh without problem with OpenFOAM 1.7
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001643

user4

You have unassigned boundary faces in your mesh, blockMesh will assign these to a 'defaultFaces' patch:

    Found 5 undefined faces in mesh; adding to default patch.
This patch is of type empty and this upsets the detection whether the case is parallel 2D (empty on front and back) or non-parallel 2D (wedge).

~0001644

user4

The face merging (removing face with 2 or less unique vertices) works on boundary faces only so you'll still need to add your axis face to a patch.

You've got two choices:
- either have duplicate vertices in your cell but you'll still need to add the face (4 vertices but only 2 unique ones) to a patch. See e.g. the 'axis' patch in the movingCone tutorial

- or have coincident points and use standard hex connectivity and let the geometric merging in blockMesh merge them. This also still requires you to add the axis face as a patch.
+Notes

-Issue History
Date Modified Username Field Change
2012-08-29 04:18 charlotte New Issue
2012-08-29 04:18 charlotte File Added: blockMeshDict.zip
2012-08-29 08:58 user4 Note Added: 0001643
2012-08-29 15:01 user4 Note Added: 0001644
2012-08-29 15:01 user4 Status new => closed
2012-08-29 15:01 user4 Assigned To => user4
2012-08-29 15:01 user4 Resolution open => no change required
2012-08-30 10:40 user4 Status closed => resolved
+Issue History